Skip to main content

List Bills

GET 

/api/trackstar/integration-instances/:integration_instance/bills

List paginated Trackstar bills (WMS charges) for an integration instance.

Authentication: Requires Bearer token.

Filters (Spatie QueryBuilder):

  • filter[search]: Partial match on trackstar_bill_id, object_id, warehouse_customer_id, charge_type
  • filter[charge_type]: Exact match on charge type
  • filter[object_type]: Exact match on object type
  • filter[object_id]: Exact match on object ID
  • filter[date_from]: Bills with trackstar_created_at on or after this date
  • filter[date_to]: Bills with trackstar_created_at on or before this date

Allowed sorts: id, charge_type, object_type, amount, trackstar_created_at, created_at Default sort: -trackstar_created_at

Request

Responses

Successful response